Summary: A DNS (Domain Name System) server.
Name: bind
Version: 9.3.4
Release: 4tr
License: distributable
Group: Trustix Official
Source0: ftp://ftp.isc.org/isc/bind9/%{version}/bind-%{version}-P1.tar.gz
Source2: bind-manpages.tar.bz2
Source3: named.init
Source4: named.logrotate
Source5: bind9-zones.tar.gz
Source6: named.conf
Source7: named.zones
Source8: named-sysconfig
#Already Patched in source
#Patch1: bind-9.3.0-CAN-2005-0034.patch
Patch2: bind-9.3.1-SO_BSDCOMPAT.patch
Buildroot: /var/tmp/%{name}-root
PreReq: %{name}-libs %{name}-utils
BuildRequires: openssl-devel
Prereq: tsl-utils chkconfig dev 
Requires: findutils, coreutils
Conflicts: %{name}-utils < 9.3.0-3tr


%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named), 
which resolves host names to IP addresses, and a resolver library 
(routines for applications to use when interfacing with DNS).  A DNS 
server allows clients to name resources or objects and share the 
information with other network machines.  The named DNS server can be 
used on workstations as a caching name server, but is generally only 
needed on one machine for an entire network.

Install the bind package if you need a DNS server for your network.

%package libs
Summary: Runtime libraries needed for the BIND packages.
Group: Trustix Official
PreReq: shadow-utils

%description libs
The %{name}-libs package contains files common to serveral of the %{name}
packages.  You will want to install this if you intend to use any of the
other %{name} packages.

%package utils 
Summary: Utilities for querying DNS name servers.
Group: Trustix Official
Requires: %{name}-libs
Conflicts: %{name} < 9.3.0-3tr

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet hosts.
These tools will provide you with the IP addresses for given host names,
as well as other information about registered domains and network 
addresses.

You should install bind-utils if you need to get information from DNS name
servers.

%package devel
Summary: Include files and libraries needed for bind DNS development.
Group: Trustix Official
Requires: %{name}-libs

%description devel
The bind-devel package contains all the include files and the 
library required for DNS (Domain Name Service) development for 
BIND versions 9.x.x.

You should install bind-devel if you want to develop bind DNS
applications. If you install bind-devel, you'll also need to install
bind.

%package light
Summary: Bind lightweight daemon.
Group: Trustix Official
Requires: %{name}-libs

%description light
This package provides the Bind Light Weight Resolver, aka. lwresd.
lwresd is the daemon providing name lookup services to clients that use
the BIND 9 lightweight resolver library.  It is essentially a stripped-down,
caching-only name server that answers queries using the BIND 9 lightweight
resolver protocol rather than the DNS protocol.

%package light-devel
Summary: Include files and libraries needed for BIND Light DNS development.
Group: Trustix Official
Requires: %{name}-light

%description light-devel
The light-devel package contains all the include files and the 
library required for lwresd (Bind Light Weight Resolver) development.

%prep
%setup -q -n bind-%{version}-P1
%patch2 -p1

%build
CFLAGS="-O1 -fomit-frame-pointer -pipe -s -mtune=pentium -march=pentium \
  -fexpensive-optimizations -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1 -D_LARGEFILE64_SOURCE=1"
CXXFLAGS="-O1 -fomit-frame-pointer -pipe -s -mtune=pentium -march=pentium \
  -fexpensive-optimizations -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1 -D_LARGEFILE64_SOURCE=1"

%configure --with-openssl=/usr --with-libtool
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p ${RPM_BUILD_ROOT}/etc/{init.d,logrotate.d}
mkdir -p ${RPM_BUILD_ROOT}/usr/{bin,lib,sbin,include}
mkdir -p ${RPM_BUILD_ROOT}/var/named
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man1,man3,man5,man8}
mkdir -p ${RPM_BUILD_ROOT}/var/run/named
mkdir -p ${RPM_BUILD_ROOT}/var/lib/named/chroot
mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig/

chmod 755 ${RPM_BUILD_ROOT}/var/lib/named
chmod 700 ${RPM_BUILD_ROOT}/var/lib/named/chroot

make DESTDIR=$RPM_BUILD_ROOT install
install -c -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_initdir}/named
install -c -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/named
cd $RPM_BUILD_ROOT/var/named
tar zxvf %{SOURCE5}
patch -p0 < $RPM_SOURCE_DIR/root.cache.patch
cd -
install -c -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/named.conf
install -c -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc/named.zones
install -c -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/named
touch $RPM_BUILD_ROOT/etc/rndc.key
chmod 640 $RPM_BUILD_ROOT/etc/rndc.key
cd $RPM_BUILD_ROOT%{_mandir}
tar xjvf %{SOURCE2}
cd -

# These need execute permission
rm $RPM_BUILD_ROOT/usr/share/man/man5/named.conf.5
chmod a+x $RPM_BUILD_ROOT/usr/lib/*

%pre libs
if [ -z "`getent group named`" ]; then
        /usr/sbin/groupadd -g 98 named
fi
if [ -z "`getent passwd named`" ]; then
        /usr/sbin/useradd -d /var/named -s /bin/false \
        -g named -u 98 named
fi 

%post
if [ ! -s /etc/rndc.key ]; then
  cd /etc
  rndc-confgen -r /dev/urandom -a
  chmod 640 rndc.key
  cd -
fi
# Restart service after upgrade.
/sbin/chkconfig --add named
if [ $1 = "2" ]; then
	/sbin/restart_maybe named
fi

%preun libs
if [ $1 = 0 ]; then
/sbin/chkconfig --del named
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc CHANGES COPYRIGHT FAQ README 
%doc doc/arm doc/draft doc/misc doc/rfc
%config(noreplace) /etc/logrotate.d/named
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/sysconfig/named
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/named.conf
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/named.zones
%dir %attr(0755,root,root) /var/named
%dir %attr(0755,named,named) /var/named/master
%dir %attr(0755,named,named) /var/named/slave
%dir %attr(0755,root,root) /var/lib/named
%dir %attr(0700,named,named) /var/lib/named/chroot
%config(noreplace) %verify(not size md5 mtime) %attr(0644,named,named) /var/named/root.cache
%config(noreplace) %verify(not size md5 mtime) %attr(0644,named,named) /var/named/chaos.hint
%config(noreplace) %verify(not size md5 mtime) %attr(0644,named,named) /var/named/master/*

/usr/sbin/dnssec*
/usr/sbin/named
/usr/sbin/named-checkconf
/usr/sbin/named-checkzone

%{_initdir}/named
%{_mandir}/man5/named.conf.5*
%{_mandir}/man8/dnssec-*.8*
%{_mandir}/man8/named.8*
%{_mandir}/man8/named-checkconf.8.gz
%{_mandir}/man8/named-checkzone.8.gz


%files libs
%defattr(-,root,root,0755)
/usr/lib/*.so.*

%files utils
%defattr(-,root,root,0755)
# This file contains a private key
%ghost %config(missingok,noreplace) %verify(not size md5 mtime) %attr(0640,root,named) /etc/rndc.key
/usr/bin/dig
/usr/bin/host
/usr/bin/nslookup
/usr/bin/nsupdate
/usr/sbin/rndc
/usr/sbin/rndc-confgen
%{_mandir}/man1/*
%{_mandir}/man5/resolv.conf.5*
%{_mandir}/man5/resolver.5*
%{_mandir}/man5/rndc.conf.5*
%{_mandir}/man8/nslookup.8*
%{_mandir}/man8/nsupdate.8*
%{_mandir}/man8/rndc.8*
%{_mandir}/man8/rndc-confgen.8*

%files devel
%defattr(-,root,root,0755)
/usr/bin/isc-config.sh
/usr/include/bind9
/usr/include/dns
/usr/include/dst
/usr/include/isc
/usr/include/isccc
/usr/include/isccfg
/usr/lib/libbind9.a
/usr/lib/libbind9.la
/usr/lib/libdns.a
/usr/lib/libdns.la
/usr/lib/libdns.so
/usr/lib/libisc.a
/usr/lib/libisc.la
/usr/lib/libisc.so
/usr/lib/libisccc.a
/usr/lib/libisccc.la
/usr/lib/libisccc.so
/usr/lib/libisccfg.a
/usr/lib/libisccfg.la
/usr/lib/libisccfg.so

%files light
%defattr(-,root,root,0755)
/usr/sbin/lwresd
%{_mandir}/man8/lwresd.8.gz

%files light-devel
%defattr(-,root,root,0755)
/usr/lib/liblwres.a
/usr/lib/liblwres.la
/usr/lib/liblwres.so
/usr/include/lwres
%{_mandir}/man3

%changelog
* Wed Jul 25 2007 Nived Gopalan <nived at trustix dot org> 9.3.4-4tr
- Updated to bind 9.3.4-p1.
- SECURITY Fix: Amit Klein has reported a vulnerability in BIND,
  caused due to predictable query IDs in outgoing queries which can
  be exploited to poison the DNS cache when the query ID is guessed.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2007-2926 to this issue.i

* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Tue Feb 06 2007 Nived Gopalan <nived at trustix dot org> 9.3.4-2tr
- Optimize at -O1 instead of -O2, Fixed Bug #2086.

* Thu Jan 25 2007 Nived Gopalan <nived at trustix dot org> 9.3.4-1tr
- New Upstream.
- Multiple security fixes.

* Fri Dec 29 2006 Nived Gopalan <nived at trustix dot org> 9.3.3-2tr
- Built without stack protector.

* Thu Dec 28 2006 Nived Gopalan <nived at trustix dot org> 9.3.3-1tr
- New Upstream.

* Tue Sep 12 2006 Nived Gopalan <nived at trustix dot org> 9.3.2-4tr
- New Upstream.
- SECURITY Fix: Some vulnerabilities have been reported in BIND,
  which can be exploited by malicious people to cause a DoS.
- Fix an assertion error within the processing of SIG queries that
  can be exploited to crash either a recursive server when more than
  one SIG(covered) Resource Record set (RRset) is returned or an
  authoritative server serving a RFC 2535 DNSSEC zone where there
  are multiple SIG(covered) RRsets.
- Fix an error within the handling of multiple recursive queries that
  can be exploited to trigger an INSIST failure by causing the response
  to the query to arrive after all clients looking for the response have
  left the recursion queue.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the names CVE-2006-4095 and CVE-2006-4096 to these issues.

* Mon Aug 21 2006 Bipin S <bipin at trustix dot org> 9.3.2-3tr
- Fixed Bug#1722.

* Fri Feb 17 2006 Ajith Thampi <ajith at trustix dot org> 9.3.2-2tr
- rndc.key is 640 permission. Bug #1614
		
* Thu Feb 09 2006 Bipin S <bipin at trustix dot org> 9.3.2-1tr
- New Upstream.

* Mon Jan 30 2006 Bipin S <bipin at trustix dot org> 9.3.1-10tr
- Patch applied to Fix Bug #1595.

* Wed Nov 16 2005 Bipin S <bipin at trustix dot org> 9.3.1-9tr
- Changed init priority.

* Tue Aug 16 2005 Erlend Midttun <<erlendbm at trustix dot org> 9.3.1-8tr
- Split common zones into a separate file.

* Wed Jul 27 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 9.3.1-7tr
- Fixed named.init for reloadproc, Ref. bug #1131.

* Mon May 02 2005 Raghu <raghu at comodo dot com> 9.3.1-5tr
- Fixed Upgrade Problem, Bug#558

* Fri Apr 29 2005 Erlend Midttun <erlendbm at trustix dot org> 9.3.1-4tr
- Nake sure the init script does not nuke the jail if umount fails.

* Thu Apr 21 2005 Bipin S  <bipin at comodo dot com> 9.3.1-3tr
- Patch applied for root.cache

* Wed Apr 20 2005 Thushara Gopalakrishnan <thushara at comodo dot com>  9.3.1.-2tr
- Changed init priority

* Wed Mar 16 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 9.3.1-1tr
- New Upstream

* Fri Feb  4 2005 Oystein Viggen <oysteivi at trustix dot com> 9.3.0-5tr
- CAN-2005-0034, DoS in validator

* Thu Nov 25 2004 Erlend Midttun <erlendbm at trustix dot org> 9.3.0-5tr
- Add conflicts.

* Wed Nov 10 2004 Erlend Midttun <erlendbm at trustix dot org> 9.3.0-4tr
- No longer have duplicate ownership of .la files.

* Tue Nov  9 2004 Oystein Viggen <oysteivi at trustix dot com> 9.3.0-3tr
- Rebuild with shared openssl

* Fri Oct 01 2004 Syed Shabir <syedshabir at comodo dot com> 9.3.0-1tr
- New Upstream

* Wed Mar 10 2004 Erlend Midttun <erlendbm at trustix dot org> 9.2.3-5tr
- Added allow-query { any; }; to the external view.

* Tue Feb 17 2004 Erlend Midttun <erlendbm at trustix dot org> 9.2.3-4tr
- Now create /etc/ in jail as well.
- Now have named own master directory as well to allow remote updates.
- Changed names of the zone files to zonename.
- Moved the rndc.key to the rest of the rndc stuff.

* Thu Feb 12 2004 Tor Hveem <torh at trustix dot org> 9.2.3-3th
- Move sysconfig to main package

* Sun Jan 25 2004 Erlend Midttun <erlendbm at trustix dot org> 9.2.3-2tr
- No longer own /usr/share/man/man1

* Tue Dec  2 2003 Erlend Midttun <erlendbm at trustix dot org> 9.2.3-1em
- New upstream.

* Tue Sep 23 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2p3-1tr
- Updated to 9.2.2-P3.
- Merged named.conf with "Securing BIND template" from Rob Thomas.
- Changed init script to now have all jail setup in itself instead 
  of in a separate script.
- Now allow bind to run *without* chroot if configured that way.

* Thu Sep 11 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-10tr
- Restrict queries to prevent unauthorized queries as outlined in a post
  on Bugtraq Sep 9 2003 by Chris Brenton.

* Mon Aug 25 2003 Chr. Toldnes <christht at trustix dot com> 9.2.2-9tr
- Bugfixing the jail, now even save the slave zones.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-8tr
- Added %%defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-7tr
- Big rebuild

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-6em
- Cleaned up Req's and PreReq's.

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-5em
- Make reload and a few other arguments to initscript work.

* Wed Apr  9 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-4em
- Moved user/group generation to bind-libs
- Changed uid/gid to 98/98.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-3em
- Rebuilt against glibc 2.3.2.

* Tue Mar 11 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-2em
- named.conf(5) does no longer contain the cname log option as the
  option was removed.
  
* Mon Mar 10 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-1em
- Make reload work.
- Upgrade to 9.2.2.
- Uses /etc/rndc.key for both daemon and rndc.

* Thu Feb 27 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.1-7em
- Moved the light libraries needed by many to the bind-libs package.

* Fri Jan 31 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.1-6em
- Typo.

* Fri Jan 31 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.1-5em
- Cleaned out bugs #51, #52, #53 and #76:
- service named start now works
- service named status now works
- service named stop now works

* Sun Jan 19 2003 Gerald Dachs <gda at trustix dot org> 9.2.1-4gd
- rebuilt against openssl 0.9.7

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 9.2.1-2ct
- named initscript now uses $INITLOCK
- includes geralds syslog/mount fixes

* Mon Oct 21 2002 Goetz Bock <bock at trustix dot org> 9.2.1-2bg
- added openssl buidlreq

* Tue Aug 13 2002 Christian H. Toldnes <christht at trustix dot com> 9.2.1-1ct
- Correct user/group handling
- Correct logging in chroot jail
- Correct init-script
- Better file separation between packages.
- New upstream version
- -common changed to -libs
- Changed name to bind

* Wed Nov 21 2001 Christian H. Toldnes <christht at trustix dot com>
- New upstream version 9.2.0rc10

* Mon Nov 12 2001 Christian H. Toldnes <christht at trustix dot com>
- New upstream version 9.2.0rc9

* Mon Oct 29 2001 Christian H. Toldnes <christht at trustix dot com>
- New upstream version 9.2.0rc8 and chroot-jail

* Wed Oct 17 2001 Christian H. Toldnes <christht at trustix dot com>
- New upstream version 9.2.0rc7 and finish remake

* Wed Aug 15 2001 Erlend Midttun <erlendbm at trustix dot com>
- Complete remake to fit BIND 9.2.0
